## org.apache.mahout.math.neighborhood
Class UpdatableSearcher

    java.lang.Object
      org.apache.mahout.math.neighborhood.Searcher
          org.apache.mahout.math.neighborhood.UpdatableSearcher

All Implemented Interfaces:
  Iterable<Vector>

Direct Known Subclasses:
  BruteSearch, FastProjectionSearch, LocalitySensitiveHashSearch, ProjectionSearch

    public abstract class UpdatableSearcher

extends Searcher

Describes how we search vectors. A class should extend UpdatableSearch only if it can handle a remove function.

Field Summary

Fields inherited from class org.apache.mahout.math.neighborhood.Searcher
`distanceMeasure`

Constructor Summary
`protected` `UpdatableSearcher(DistanceMeasure distanceMeasure)`

Method Summary
`abstract void` `clear()`
`abstract boolean` `remove(Vector v, double epsilon)`

Methods inherited from class org.apache.mahout.math.neighborhood.Searcher
`add, addAll, addAllMatrixSlices, addAllMatrixSlicesAsWeightedVectors, getCandidateQueue, getDistanceMeasure, search, search, searchFirst, searchFirst, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.lang.Iterable
`iterator`

Constructor Detail

### UpdatableSearcher

    protected UpdatableSearcher(DistanceMeasure distanceMeasure)

Method Detail

### remove

    public abstract boolean remove(Vector v,
                                   double epsilon)

  Overrides:
    `remove` in class `Searcher`

### clear

    public abstract void clear()

  Overrides:
    `clear` in class `Searcher`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.